Last Comment Bug 757278 - Handle positions are not saved.
: Handle positions are not saved.
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: 15 Branch
: All All
: P2 normal (vote)
: Firefox 15
Assigned To: Victor Porof [:vporof][:vp]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 16:46 PDT by Thaddee Tyl [:espadrine]
Modified: 2012-06-01 05:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (5.83 KB, patch)
2012-05-30 07:33 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review
v1.1 (8.56 KB, patch)
2012-05-30 07:35 PDT, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review
v1.2 (8.30 KB, patch)
2012-05-31 02:28 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review

Description Thaddee Tyl [:espadrine] 2012-05-21 16:46:50 PDT
The two vertical separators in the debugger pane
can be used to resize the left and right pane.
However, the position of those separators are not
saved after the debugger is closed.

The position should be saved.
Comment 1 Victor Porof [:vporof][:vp] 2012-05-30 07:33:52 PDT
Created attachment 628333 [details] [diff] [review]
v1
Comment 2 Victor Porof [:vporof][:vp] 2012-05-30 07:35:10 PDT
Created attachment 628334 [details] [diff] [review]
v1.1

Added test.
Comment 3 Rob Campbell [:rc] (:robcee) 2012-05-30 14:22:29 PDT
Comment on attachment 628334 [details] [diff] [review]
v1.1

So this only saves pane state (size) on destroy? Is that often enough?

A little thinking, says it should be... Maybe more thinking required.

-      <vbox id="stack" flex="1">
-        <vbox id="stackframes" class="dbg-default" flex="1"/>
-      </vbox>
-      <splitter id="stack-script-splitter"
-                class="devtools-side-splitter"/>
-      <vbox id="editor" class="dbg-default" flex="1"/>
-      <splitter id="script-properties-splitter"
-                class="devtools-side-splitter"/>
-      <vbox id="properties" flex="1">
-        <vbox id="variables" class="dbg-default" flex="1"/>
-      </vbox>
+      <vbox id="stackframes"/>
+      <splitter id="stack-script-splitter" class="devtools-side-splitter"/>
+      <vbox id="editor" flex="1"/>
+      <splitter id="script-properties-splitter" class="devtools-side-splitter"/>
+      <vbox id="variables"/>
     </hbox>

not *strictly* necessary, but it's acceptable cleanup.

OK!
Comment 4 Victor Porof [:vporof][:vp] 2012-05-30 14:29:22 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #3)
> Comment on attachment 628334 [details] [diff] [review]
> v1.1
> 
> So this only saves pane state (size) on destroy? Is that often enough?
> 
> A little thinking, says it should be... Maybe more thinking required.
> 

I can (over)think of a single case: opening a script debugger and a remote debugger at the same time.

> 
> not *strictly* necessary, but it's acceptable cleanup.
>

Quite necessary. The additional flexes didn't let me resize the bastard.

> OK!

^_^
Comment 5 Victor Porof [:vporof][:vp] 2012-05-31 02:28:21 PDT
Created attachment 628635 [details] [diff] [review]
v1.2

Fixed an orange.
Comment 6 Rob Campbell [:rc] (:robcee) 2012-05-31 16:28:04 PDT
https://hg.mozilla.org/integration/fx-team/rev/fd4ff7253be8
Comment 7 Rob Campbell [:rc] (:robcee) 2012-06-01 05:57:35 PDT
https://hg.mozilla.org/mozilla-central/rev/fd4ff7253be8

Note You need to log in before you can comment on or make changes to this bug.